
#define encoderPinA 0
#define encoderPinB 2
#define encoderButton 1

int buttonModes = 3;
long buttonPressTimeout = 500;
bool allowMenuLoop=false;

#define LEFT_ACTION MMKEY_VOL_DOWN
#define LEFT_ACTION_MODE1 MMKEY_SCAN_PREV_TRACK
#define LEFT_ACTION_MODE2 MMKEY_VOL_DOWN
#define LEFT_ACTION_MODE3 MMKEY_VOL_DOWN

#define RIGHT_ACTION MMKEY_VOL_UP
#define RIGHT_ACTION_MODE1 MMKEY_SCAN_NEXT_TRACK
#define RIGHT_ACTION_MODE2 MMKEY_VOL_UP
#define RIGHT_ACTION_MODE3 MMKEY_VOL_UP

#define BUTTON_ACTION_SINGLE MMKEY_MUTE
#define BUTTON_ACTION_DOUBLE MMKEY_PLAYPAUSE
#define BUTTON_ACTION_TRIPLE SYSCTRLKEY_POWER

/*

System control keys

SYSCTRLKEY_POWER
SYSCTRLKEY_SLEEP
SYSCTRLKEY_WAKE
Multimedia keys

MMKEY_VOL_UP
MMKEY_VOL_DOWN
MMKEY_SCAN_NEXT_TRACK
MMKEY_SCAN_PREV_TRACK
MMKEY_STOP
MMKEY_PLAYPAUSE
MMKEY_MUTE
MMKEY_BASSBOOST
MMKEY_LOUDNESS
MMKEY_KB_EXECUTE
MMKEY_KB_HELP
MMKEY_KB_MENU
MMKEY_KB_SELECT
MMKEY_KB_STOP
MMKEY_KB_AGAIN
MMKEY_KB_UNDO
MMKEY_KB_CUT
MMKEY_KB_COPY
MMKEY_KB_PASTE
MMKEY_KB_FIND
Control keys

KEYCODE_LEFT_CONTROL
KEYCODE_LEFT_SHIFT
KEYCODE_LEFT_ALT
KEYCODE_LEFT_GUI
KEYCODE_RIGHT_CONTROL
KEYCODE_RIGHT_SHIFT
KEYCODE_RIGHT_ALT
KEYCODE_RIGHT_GUI
Regular keys

KEYCODE_1
KEYCODE_2
KEYCODE_3
KEYCODE_4
KEYCODE_5
KEYCODE_6
KEYCODE_7
KEYCODE_8
KEYCODE_9
KEYCODE_0
KEYCODE_A
KEYCODE_B
KEYCODE_C
KEYCODE_D
KEYCODE_E
KEYCODE_F
KEYCODE_G
KEYCODE_H
KEYCODE_I
KEYCODE_J
KEYCODE_K
KEYCODE_L
KEYCODE_M
KEYCODE_N
KEYCODE_O
KEYCODE_P
KEYCODE_Q
KEYCODE_R
KEYCODE_S
KEYCODE_T
KEYCODE_U
KEYCODE_V
KEYCODE_W
KEYCODE_X
KEYCODE_Y
KEYCODE_Z
KEYCODE_COMMA
KEYCODE_PERIOD
KEYCODE_MINUS
KEYCODE_EQUAL
KEYCODE_BACKSLASH
KEYCODE_SQBRAK_LEFT
KEYCODE_SQBRAK_RIGHT
KEYCODE_SLASH
KEYCODE_F1
KEYCODE_F2
KEYCODE_F3
KEYCODE_F4
KEYCODE_F5
KEYCODE_F6
KEYCODE_F7
KEYCODE_F8
KEYCODE_F9
KEYCODE_F10
KEYCODE_F11
KEYCODE_F12
KEYCODE_APP
KEYCODE_ENTER
KEYCODE_BACKSPACE
KEYCODE_ESC
KEYCODE_TAB
KEYCODE_SPACE
KEYCODE_INSERT
KEYCODE_HOME
KEYCODE_PAGE_UP
KEYCODE_DELETE
KEYCODE_END
KEYCODE_PAGE_DOWN
KEYCODE_PRINTSCREEN
KEYCODE_ARROW_RIGHT
KEYCODE_ARROW_LEFT
KEYCODE_ARROW_DOWN
KEYCODE_ARROW_UP

*/
